CAD论坛-AutoCAD,Inventor和其他Autodesk产品的提示,技巧和实用程序数据库[www.cadforum.cz]
捷克文 英语 德意志
登录/注册:
 Visitors: 2682 
RSS提示 RSS频道-CAD技巧
RSS讨论 RSS频道-CAD讨论

讨论区 讨论区

救命CAD讨论

CAD论坛-主页 CAD讨论论坛-在此处提出任何与CAD相关的问题,并与来自世界各地的同行分享您在AutoCAD,Inventor,Revit和其​​他Autodesk软件方面的CAD知识。要开始一个新主题,请选择一个合适的论坛。

请遵守 规则 这个论坛。

如何发布问题: 注册或登录,请转到特定的论坛,然后单击“新主题”按钮。
  常问问题 常问问题  论坛搜索   大事记   寄存器 寄存器  登录 登录

您在此表单中提供的信息将构成您的论坛个人资料,其他论坛成员可以查看。 您的电子邮件地址仅对论坛管理员和主持人可见,并将用于向您发送论坛通知。要取消您的帐户,请使用页面 选择退出 或联系[email protected]

主题已关闭LISP定义矩形的位置

 Post Reply 发表回复
作者
块状的 查看下拉
新手
新手


已加入:2017年6月2日
所在地:匈牙利
使用: 的AutoCAD2013
状态:离线
点数:10
直接链接到这篇文章 主题:LISP定义矩形的位置
    发表:29.Jun.2017 at 14:19
大家好!

我尝试编写一个autoLISP执行。
我需要用它绘制矩形。在定义了第一点之后,我发送“ d”(直径 尺寸),然后发送高度和宽度的数字。但是最后,我需要用光标选择它的位置。
我的问题是:有没有可能在没有光标的情况下做到这一点?我要它画到右下角 每次定位(并将其写入我的LISP代码中)。

谢谢你的建议! 眨眼


由lumpy92编辑-29.Jun.2017 at 15:07
回到顶部
约翰·康纳 查看下拉
高级会员
高级会员


加入时间:2011年2月1日
所在地:美国
使用: 的AutoCAD 2018
状态:离线
积分:7091
直接链接到这篇文章 发表于:29.Jun.2017 at 15:01
“ D”不是用于“尺寸”吗? 如果要绘制矩形,为什么要指定直径?  Makes no sense.
“人类拥有无法衡量的力量。这就是约翰·康纳。如果您正在阅读这篇文章,那么您就是抵抗力量。”

<<AutoCAD 2015>>

回到顶部
块状的 查看下拉
新手
新手


已加入:2017年6月2日
所在地:匈牙利
使用: 的AutoCAD2013
状态:离线
点数:10
直接链接到这篇文章 发表:29.Jun.2017 at 15:06
对不起,我的错。它代表尺寸。
回到顶部
肯特·库珀 查看下拉
高级会员
高级会员


加入:2013年3月12日
所在地:美国
使用: 的AutoCAD2019
状态:离线
积分:538
直接链接到这篇文章 发表于:29.Jun.2017 at 19:54
一个简单的例子,经过轻松测试:
(defun C:TEST()(命令“ _.rectang”暂停“ _d” 15 10 (极性(getvar'lastpoint)(* pi 1.75) 10)))
 
红色部分 将始终沿右下方向进给一个点。  Adjust the 蓝色部分 如果您想每次给它不同的大小,则可以满足您的需要,或者在前两个中使用暂停。
回到顶部
块状的 查看下拉
新手
新手


已加入:2017年6月2日
所在地:匈牙利
使用: 的AutoCAD2013
状态:离线
点数:10
直接链接到这篇文章 发表:03.Jul.2017 at 15:49
非常感谢,这是可行的 眨眼
回到顶部
块状的 查看下拉
新手
新手


已加入:2017年6月2日
所在地:匈牙利
使用: 的AutoCAD2013
状态:离线
点数:10
直接链接到这篇文章 发表于:03.Jul.2017 at 16:05
您能否解释一下._rectangle和_rectangle有什么区别?
为什么需要点?他们俩都为我工作。
谢谢!
回到顶部
约翰·康纳 查看下拉
高级会员
高级会员


加入时间:2011年2月1日
所在地:美国
使用: 的AutoCAD 2018
状态:离线
积分:7091
直接链接到这篇文章 发表于:04.Jul.2017 at 13:27
在命令名称前添加“点”可确保将使用通用AutoCAD命令,而不是由于未定义命令而可能被替换(或丢失)的AutoCAD命令。
“人类拥有无法衡量的力量。这就是约翰·康纳。如果您正在阅读这篇文章,那么您就是抵抗力量。”

<<AutoCAD 2015>>

回到顶部
肯特·库珀 查看下拉
高级会员
高级会员


加入:2013年3月12日
所在地:美国
使用: 的AutoCAD2019
状态:离线
积分:538
直接链接到这篇文章 发表:05.Jul.2017 at 18:48
另一种方法是使用RECTANG命令 没有 尺寸选项,而是通过计算右下方向的对角:
 
(defun C:RULS(/ UL xdim ydim); = 通过指定尺寸从左上角矩形
  (setq
    UL(获取点“ \ n左上角:”)
    xdim(getdist“ \ n水平大小:”)
    ydim(getdist“ \ n垂直大小:”)
  )
  (命令“ _.rectang” UL(mapcar'+ UL(列表xdim(-ydim))))
  (princ)
)
 
这样做的好处是,提示会更清晰地说明所要查询的内容。 我永远不会记得RECTANG的Dimension-option提示中“长度”和“宽度”所指的方向,而我很容易弄错,因为我认为“宽度”是 水平的,但他们使用“长度”作为水平尺寸,使用“宽度”作为我更喜欢的“高度”。
 


肯特·库珀(Kent Cooper)编辑-05.Jul.2017 at 18:52
回到顶部

相关的CAD技巧:


 Post Reply 发表回复
  分享主题   

论坛跳转 论坛权限 查看下拉



此页面是在0,063秒内生成的。